This is an automated email from the git hooks/post-receive script.

sebastic pushed a commit to branch experimental
in repository mapserver.

commit eb7644da3443ad0eabbbe303eb9e0b7f1b27ccf5
Author: Bas Couwenberg <sebas...@xs4all.nl>
Date:   Sat Jun 20 01:57:15 2015 +0200

    Drop SOVERSION from -dbg & -dev package name.
---
 debian/changelog                                         |  1 +
 debian/control                                           | 16 ++++++++++------
 ...ibmapserver1-dev.install => libmapserver-dev.install} |  0
 debian/rules                                             |  6 +++---
 4 files changed, 14 insertions(+), 9 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 15b4915..a9797b2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,7 @@ mapserver (7.0.0~beta1-1) UNRELEASED; urgency=medium
   * Update build dependencies:
     - drop libgd-dev
     - add libharfbuzz-dev & libpixman-1-dev
+  * Drop SOVERSION from -dbg & -dev package name.
 
  -- Bas Couwenberg <sebas...@debian.org>  Fri, 19 Jun 2015 23:47:49 +0200
 
diff --git a/debian/control b/debian/control
index 1b01d8c..ccd36c1 100644
--- a/debian/control
+++ b/debian/control
@@ -71,12 +71,14 @@ Description: Shared library for MapServer
  functionality in MapScript is provided by the suggested mapscript
  library packages.
 
-Package: libmapserver1-dbg
+Package: libmapserver-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends},
-         libmapserver1 (= ${binary:Version})
+Depends: libmapserver1 (= ${binary:Version}),
+         ${misc:Depends}
+Breaks: libmapserver1-dbg (<< 7.0.0~)
+Replaces: libmapserver1-dbg (<< 7.0.0~)
 Description: Debugging symbols for libmapserver1
  MapServer is a CGI-based framework for Internet map services which
  supports Open Geospatial Consortium (OGC) standards. Scripting
@@ -85,7 +87,7 @@ Description: Debugging symbols for libmapserver1
  .
  This package contains the debugging symbols for libmapserver.
 
-Package: libmapserver1-dev
+Package: libmapserver-dev
 Architecture: any
 Section: libdevel
 Depends: libmapserver1 (= ${binary:Version}),
@@ -98,9 +100,11 @@ Suggests: cgi-mapserver,
           python-mapscript,
           ruby-mapscript
 Breaks: libmapserver-dev (<< 6.2.1-3~),
-        libmapserver-6.2.1-dev (<< 6.4.0-1~)
+        libmapserver-6.2.1-dev (<< 6.4.0-1~),
+        libmapserver1-dev (<< 7.0.0~)
 Replaces: libmapserver-dev (<< 6.2.1-3~),
-          libmapserver-6.2.1-dev (<< 6.4.0-1~)
+          libmapserver-6.2.1-dev (<< 6.4.0-1~),
+          libmapserver1-dev (<< 7.0.0~)
 Description: Shared library development files for MapServer
  This package contains the development files for the shared library.
  .
diff --git a/debian/libmapserver1-dev.install b/debian/libmapserver-dev.install
similarity index 100%
rename from debian/libmapserver1-dev.install
rename to debian/libmapserver-dev.install
diff --git a/debian/rules b/debian/rules
index 695ad35..ef2bd20 100755
--- a/debian/rules
+++ b/debian/rules
@@ -72,9 +72,6 @@ CMAKE_OPTS:= \
              --parallel \
              --buildsystem cmake
 
-override_dh_strip:
-       dh_strip --dbg-package=libmapserver1-dbg
-
 override_dh_auto_clean:
        dh_clean
 
@@ -176,3 +173,6 @@ override_dh_perl:
 override_dh_java:
        dh_java -plibmapscript-java
 
+override_dh_strip:
+       dh_strip --dbg-package=libmapserver-dbg
+

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-grass/mapserver.git

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to